# Makefile for tine client utilities
# Insert the defs for your machine
# SUN:    CC = CC         CCL = CC         LM = 
# SGI,OSF CC = cc         CCL = cc         LM = -lm
# LINUX   CC = cc         CCL = cc         LM = -lm
# ULT     CC = gcc -c -g  CCL = gcc -g     LM = 
# HP:     CC = cc -Aa     CCL = cc         LM = -lM
# SOL 2.6 CC = CC         CCL = CC         LM = -lsocket -lnsl

INCL = /usr/include/tine -I/usr/include/python2.6/  
LIBS = /usr/lib

CPP = g++ -fPIC -shared 
CC = gcc -g -fPIC -Wall -I${INCL} -c
CCL = cc -g 
LM = -lm

PyTine.so: PyTine.o PyTine_py.o 
	${CPP} PyTine.o PyTine_py.o ${LIBS}/libtinemt.so -o PyTine.so

PyTine.o: PyTine.cpp 
	${CC} PyTine.cpp 

PyTine_py.o: PyTine_py.cpp 
	${CC} PyTine_py.cpp 

clean:
	rm -f *.o
